Page MenuHomePhabricator

Watch for extensions broken by WikiPage now deprecating construction on bad titles
Closed, ResolvedPublic

Description

  • FlaggedRevs
  • EntitySchema
  • DisplayTitle
  • AccessControl
  • LastModified
NOTE: this should stay open for a week or so after the last issue was fixed, in case a new issue is discovered.

Related Objects

StatusSubtypeAssignedTask
Declineddchen
OpenNone
OpenNone
DuplicateNone
OpenNone
OpenNone
OpenNone
StalledNone
OpenNone
DuplicateNone
ResolvedNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedNone
ResolvedNone
OpenNone
StalledNone
OpenNone
OpenNone
Opendaniel
OpenNone
OpenNone
OpenNone
OpenNone
Resolveddaniel
Resolveddaniel
Resolveddaniel
ResolvedJdforrester-WMF
ResolvedPRODUCTION ERRORUmherirrender
Resolveddaniel
Resolveddaniel
Resolveddaniel

Event Timeline

daniel triaged this task as High priority.

Change 657382 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/EntitySchema@master] tests: Fix WikiPage calls with impossible page names

https://gerrit.wikimedia.org/r/657382

daniel changed the task status from Open to Stalled.Jan 20 2021, 6:10 PM
daniel updated the task description. (Show Details)

Change 657382 merged by jenkins-bot:
[mediawiki/extensions/EntitySchema@master] tests: Fix WikiPage calls with impossible page names

https://gerrit.wikimedia.org/r/657382

daniel renamed this task from Fix code in extensions broken by WikiPage now deprecating construction on bad titles to Watch for extensions broken by WikiPage now deprecating construction on bad titles.Jan 22 2021, 9:03 AM
DannyS712 changed the task status from Stalled to Open.Jan 30 2021, 5:34 AM
DannyS712 updated the task description. (Show Details)
DannyS712 updated the task description. (Show Details)

Change 660395 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/DisplayTitle@master] Don't make WikiPage calls with impossible page names

https://gerrit.wikimedia.org/r/660395

Change 660400 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/AccessControl@master] Don't make WikiPage calls with impossible page names

https://gerrit.wikimedia.org/r/660400

Change 660395 merged by jenkins-bot:
[mediawiki/extensions/DisplayTitle@master] Don't make WikiPage calls with impossible page names

https://gerrit.wikimedia.org/r/660395

Change 660401 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/LastModified@master] Don't make WikiPage calls with impossible page names

https://gerrit.wikimedia.org/r/660401

Change 660400 merged by jenkins-bot:
[mediawiki/extensions/AccessControl@master] Don't make WikiPage calls with impossible page names

https://gerrit.wikimedia.org/r/660400

Change 660401 merged by jenkins-bot:
[mediawiki/extensions/LastModified@master] Don't make WikiPage calls with impossible page names

https://gerrit.wikimedia.org/r/660401

daniel lowered the priority of this task from High to Medium.Feb 3 2021, 5:44 PM
Pchelolo added a subscriber: Pchelolo.

A number of trains has passed since initial deprecation and we've fixed all the instances that showed up in the logs. Please reopen if something was missed.

Change 674331 had a related patch set uploaded (by Cicalese; owner: Jforrester):
[mediawiki/extensions/DisplayTitle@REL1_35] Don't make WikiPage calls with impossible page names

https://gerrit.wikimedia.org/r/674331

Change 674331 merged by jenkins-bot:
[mediawiki/extensions/DisplayTitle@REL1_35] Don't make WikiPage calls with impossible page names

https://gerrit.wikimedia.org/r/674331